2019-12-10 23:43 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000315Spring engineGeneralpublic2006-10-29 21:30
Reporterpeter 
Assigned Totvo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000315: Update(): Assertion `owner->unitDef->canAttack' failed when attacking with a group including mines
DescriptionSpring bailed out on an assertion:
spring: rts/Sim/Units/CommandAI/CommandAI.cpp:672: virtual void CCommandAI::SlowUpdate(): Assertion `owner->unitDef->canAttack' failed.
Aborted

 I had just drag-selected a group that included some ships (maybe including a construction or resurrection sub) and a naval minefield. I then right-clicked on an enemy ship.

 I haven't tried to reproduce it, let alone look at the code. Sorry, I wish I had time to fix bugs I find :(
Additional InformationSpring 0.73b1 compiled with gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5) on an Ubuntu Dapper (i386) system. (Dell Inspiron 8200: mobile Pentium 4 (no hyperthreading), 512MB RAM, NVidia GeForce 4 Go, 32MB RAM.)

 The mod was AA. The map was Mountain Siege. game data from the spring-linux-data (non-free) tarball. I was just messing around with the "commanders" test script, so not even an AI was running.

 I think I forgot to save the infolog.txt. Sorry.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0000416

tvo (reporter)

fixed in svn by trepan
+Notes

-Issue History
Date Modified Username Field Change
2006-10-27 11:25 peter New Issue
2006-10-29 21:30 tvo Status new => assigned
2006-10-29 21:30 tvo Assigned To => tvo
2006-10-29 21:30 tvo Status assigned => resolved
2006-10-29 21:30 tvo Resolution open => fixed
2006-10-29 21:30 tvo Note Added: 0000416
+Issue History